package pps.cloud.space.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XSingleResult;
import xstartup.feature.api.annotation.XApiGet;

/**
 * 基础间开配置模块
 *
 * @author ZWT
 * @date 2023/09/06 17:07
 */
@XService
@XText("基础间开配置模块")
public interface ISpaceInstitutionDetailCloudService {

    /**
     * 基础间开配置模块--获取线路配置制度数量
     *
     * @param context 上下文
     * @param lineId  线路id
     * @return {@link XSingleResult}<{@link Long}>
     */
    @XText("基础间开配置模块--获取线路配置制度数量")
    @XApiGet
    XSingleResult<Long> getInstitutionLineCountByLineId(XContext context, String lineId);
}
